PETSc version 3.17.4
Fix/Edit manual page

# TaoGetVariableBounds

Gets the upper and lower bounds vectors set with TaoSetVariableBounds

### Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoGetVariableBounds(Tao tao, Vec *XL, Vec *XU)

Not collective

### Input Parameter

| tao | - the Tao context

### Output Parametrs

| XL | - vector of lower bounds
| XU | - vector of upper bounds

### See Also

TaoSetObjective(), TaoSetHessian(), TaoSetObjectiveAndGradient(), TaoSetVariableBounds()

### Level

beginner

### Location

src/tao/interface/taosolver_bounds.c
Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages